#!/bin/bash
for jarfile in *.jar; do
    echo ">>> Assinando o arquivo: $jarfile"
    jarsigner -tsa http://timestamp.digicert.com \
              -sigalg SHA256withECDSA -digestalg SHA-256 -verbose -keystore NONE -storetype PKCS11 \
              -providerClass sun.security.pkcs11.SunPKCS11 -providerArg /opt/assinar/assinado/eToken.cfg "$jarfile" "PRODABEL"
    echo "---"
done
